FIX::SocketException Struct Reference

Socket Error. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::SocketException:
[legend]
Collaboration diagram for FIX::SocketException:
[legend]

## Public Member Functions

| SocketException ()
| SocketException (const std::string &what)
std::string | errorToWhat ()
Public Member Functions inherited from FIX::Exception
| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Public Attributes

int | error
Public Attributes inherited from FIX::Exception
std::string | type
std::string | detail

## Detailed Description

Socket Error.

Definition at line 245 of file Exceptions.h.

## Constructor & Destructor Documentation

## SocketException() [1/2]

FIX::SocketException::SocketException | ( |  | ) |

inline

Definition at line 247 of file Exceptions.h.

: Exception( "Socket Error", errorToWhat() ) {}
FIX::Exception::Exception
Exception(const std::string &t, const std::string &d)
Definition: Exceptions.h:35
FIX::SocketException::errorToWhat
std::string errorToWhat()
Definition: Exceptions.h:253

## SocketException() [2/2]

FIX::SocketException::SocketException | ( | const std::string & | what | ) |

inline

Definition at line 250 of file Exceptions.h.

: Exception( "Socket Error", what ) {}
FIX::Exception::Exception
Exception(const std::string &t, const std::string &d)
Definition: Exceptions.h:35

## Member Function Documentation

## errorToWhat()

std::string FIX::SocketException::errorToWhat | ( |  | ) |

inline

Definition at line 253 of file Exceptions.h.

{
#ifdef _MSC_VER
error = WSAGetLastError();
char buffer[2048];
FormatMessageA( FORMAT_MESSAGE_FROM_SYSTEM, NULL, error,
MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
buffer, 2048, NULL );
return buffer;
#else
error = errno;
return strerror( error );
#endif
}
FIX::SocketException::error
int error
Definition: Exceptions.h:268

## Member Data Documentation

## error

int FIX::SocketException::error

Definition at line 268 of file Exceptions.h.

The documentation for this struct was generated from the following file:

- Exceptions.h